<template>
    <div>
      <nav class="navbar navbar-expand-lg bg-dark shadow sticky-top" data-bs-theme="dark">
        <div class="container">
          <router-link :to="{name:'home'}" class="navbar-brand"><h1>OH MY CAT!!!</h1></router-link>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarScroll" aria-controls="navbarScroll" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarScroll">
            <ul class="navbar-nav me-auto my-2 my-lg-0 navbar-nav-scroll" style="--bs-scroll-height: 100px;">
              <li class="nav-item">
                <router-link :to="{name:'home'}" class="nav-link active" aria-current="page">HOME</router-link> 
              </li>
              <li class="nav-item">
                <router-link :to="{name:'about'}" class="nav-link">ABOUT</router-link>
              </li>
              <li class="nav-item">
                <router-link :to="{name:'signin'}" class="nav-link">SignIn</router-link>
              </li>
              <li class="nav-item">
                <router-link :to="{name:'signup'}" class="nav-link">SignUp</router-link>
              </li>
              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                  OTHER
                </a>
                <ul class="dropdown-menu">
                  <li><router-link :to="{name: 'about'}" class="dropdown-item">ABOUT ME</router-link></li>
                  <li><a href="https://www.google.co.th/maps/place/Kaiju+Cave/@18.2980306,99.3782529,11z/data=!4m10!1m2!2m1!1sCat!3m6!1s0x30d9110878d31d07:0xe251e2c01e6c9fdf!8m2!3d18.2980306!4d99.6831235!15sCgNDYXSSAQtjYXRfdHJhaW5lcuABAA!16s%2Fg%2F11ty22dy2n?hl=th&entry=ttu" class="dropdown-item" target="_blink">
                    Map
                  </a></li>
                  <li><hr class="dropdown-divider"></li> <!--hr-->
                  <li><router-link :to="{name: ''}" class="dropdown-item">etc.</router-link></li>
                </ul>
              </li>
            </ul>
            <form class="d-flex" role="search">
              <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
              <button class="btn btn-outline-success" type="submit">Search</button>
            </form>
          </div>
        </div>
      </nav>
    </div>
  </template>
  
  <script setup>
  </script> 
  
  <style>
@import url('https://fonts.googleapis.com/css2?family=Single+Day&display=swap');
*{
  font-family: 'Single Day', cursive;
}
  </style>